package RPM::Source::Shared::Resource::DestDistroInfo;

use strict;
use warnings;
use Carp;

use DistroMap 0.20;
use RPM::Source::Shared::Resource;
use RPM::Source::Shared::ResourceContainer;
our @ISA=qw/RPM::Source::Shared::Resource/;

push @RPM::Source::Shared::ResourceContainer::RESOURCE_CLASSES, __PACKAGE__;

our $verbose=0;
my $__distroinfo;

## TODO: DistroMap/DistroInfo command line options to select repo/branch.

sub process_options {
    my ($self)=@_;
    *RPM::Source::Shared::ResourceContainer::get_dest_distroinfo=\&get_dest_distroinfo
	unless *RPM::Source::Shared::ResourceContainer::get_dest_distroinfo{CODE};
}

sub get_dest_distroinfo {
    return $__distroinfo if $__distroinfo;
    $__distroinfo=DistroMap::Repository->new(-repo=>'altlinux', -branch=>'sisyphus');
    return $__distroinfo;
}

1;
